Subject: [Entmib] entstate-651 Notification Description Changes

From: "Sharon Chisholm" <[email-masked]>
Date: Thu, 16 Dec 2004 10:59:50 -0500

hi

<Juergen>
"o) In the two notifications, you talk about the transition disabled ->
enabled or enabled->disabled. Is testing->enabled not also
possible? Should these notifications not be generated whenever you
transition into the enabled / disabled state, regardless what the
previous state was? In both notification definitions, I also fail
to understand the last sentence.

Here is a concrete proposal for new wordings:

"An entStateOperEnabled notification signifies that the
SNMP entity, acting in an agent role, has detected that
the entStateOper object for one of its entities has 
transitioned into the 'enabled' state.

The entity can be identified by extracting the
entPhysicalIndex from one of the variable bindings. The
entStateAdmin and entStateAlarm varbinds may be examined to
find out additional information about the administrative
state at the time of the state transition as well to find
out whether any alarms against the entity were pending at
that time of the transition."

"An entStateOperDisabled notification signifies that the
SNMP entity, acting in an agent role, has detected that
the entStateOper object for one of its entities has 
transitioned into the 'disabled' state.

The entity can be identified by extracting the
entPhysicalIndex from one of the variable bindings. The
entStateAdmin and entStateAlarm varbinds may be examined to
find out additional information about the administrative
state at the time of the state transition as well to find
out whether any alarms against the entity were pending at
that time of the transition."

This is shorter and hopefully clearer as the current text.
</Juergen>

1. The suggested changes to the first paragraph look good. 

2. For the second paragraphs, I propose we keep them as they are in  the
current draft. The proposed changes seem more a mater of style than clarity.
Some information was lost from the compression that can be inferred, but I
still prefer explicitly stating it.

Sharon Chisholm
Nortel Networks
Ottawa, Ontario
Canada

_______________________________________________
Entmib mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/entmib